Package Details: openscap 1.3.5-2

Git Clone URL: https://aur.archlinux.org/openscap.git (read-only, click to copy)
Package Base: openscap
Description: Open Source Security Compliance Solution
Upstream URL: https://www.open-scap.org/
Keywords: container security virtualization
Licenses: GPL
Submitter: NonerKao
Maintainer: mehalter
Last Packager: mehalter
Votes: 3
Popularity: 0.000023
First Submitted: 2016-04-06 04:06
Last Updated: 2021-04-25 04:40

Latest Comments

mehalter commented on 2021-04-25 04:42

@rageltman thanks for the heads up, updated PKGBUILD with added xmlsec dependency

rageltman commented on 2021-04-25 04:24

Needs to have xmlsec added to dependencies - CI failing with:

[2021-04-25T01:36:36.548Z] --   Package 'xmlsec1-openssl', required by 'virtual:world', not found
[2021-04-25T01:36:36.548Z] XMLSEC_INCLUDE_DIR=XMLSEC_INCLUDE_DIR-NOTFOUND
[2021-04-25T01:36:36.548Z] XMLSEC_LIBRARY=XMLSEC_LIBRARY-NOTFOUND
[2021-04-25T01:36:36.548Z] XMLSEC_OPENSSL_LIBRARY=XMLSEC_OPENSSL_LIBRARY-NOTFOUND
[2021-04-25T01:36:36.548Z] CMake Error at cmake/LibFindMacros.cmake:74 (message):
[2021-04-25T01:36:36.548Z]   Required library XMLSEC NOT FOUND.
[2021-04-25T01:36:36.548Z] 
[2021-04-25T01:36:36.548Z]   Install the library (dev version) and try again.  If the library is already
[2021-04-25T01:36:36.548Z]   installed, use ccmake to set the missing variables manually.
[2021-04-25T01:36:36.548Z] Call Stack (most recent call first):
[2021-04-25T01:36:36.548Z]   cmake/FindXMLSEC.cmake:40 (libfind_process)
[2021-04-25T01:36:36.548Z]   CMakeLists.txt:144 (find_package)

Fi1xaaph commented on 2020-09-14 05:45

Please also consider to set the cmake_install_prefix variable to prevent in installation under /usr/local. E.g.

diff --git a/PKGBUILD b/PKGBUILD                                                                                                                               │~
index 7287723..2b7bd87 100644                                                                                                                                  │~
--- a/PKGBUILD                                                                                                                                                 │~
+++ b/PKGBUILD                                                                                                                                                 │~
@@ -29,7 +29,7 @@ build() {                                                                                                                                    │~
   cd "$pkgname-$pkgver"                                                                                                                                       │~
   mkdir -p build                                                                                                                                              │~
   cd build                                                                                                                                                    │~
-  cmake ../                                                                                                                                                   │~
+  cmake -DCMAKE_INSTALL_PREFIX=/usr ../                                                                                                                       │~
   make                                                                                                                                                        │~
 }

mehalter commented on 2020-06-16 14:46

@ds22861s sorry for the late follow up and thanks for the heads up! Testing 1.3.3 build now and will update the package when this finishes successfully.

ds22861s commented on 2020-06-13 12:36

If you try to install v1.3.2, compile will lead to the following error:

openscap-1.3.2-2.fc32 FTBFS: /usr/bin/ld: OVAL/probes/unix/CMakeFiles/unix_probes_object.dir/process58_probe.c.o: /builddir/build/BUILD/openscap-1.3.2/src/OVAL/probes/unix/process58_probe.c:155: multiple definition of `boot'

See also: https://bugzilla.redhat.com/show_bug.cgi?id=1793914

Please fix it by updating pkgbuild:

Update version to: 1.3.3; Update Hash

openprivacy commented on 2020-01-18 22:01

I have created an updated version of this package here: https://github.com/openprivacy/archlinux-openscap

I am unsure how or where to make a pull request to update the "official" package.

openprivacy commented on 2019-03-30 17:58

After installing there are no "Supported OVAL objects and associated OpenSCAP probes" at the end of oscap -V -- but I see them after yum install oscap on RHEL/7 or CentOS/7. Not yet sure why...

cyrinux commented on 2019-01-16 07:59

Hi, Please add makedepends=('automake') Regards,

NonerKao commented on 2016-04-11 04:46

I am currently studying this project and kind of trying to join the development.
Any suggestion is welcome!